Bug 366571 - Error occurs on every upgrade
Error occurs on every upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 05:59 EST by David Anderson
Modified: 2008-01-30 14:05 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:05:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2007-11-05 05:59:20 EST
SELinux is not enabled on my system. Nevertheless, on every yum upgrade, I get 
this error:

  Updating  : selinux-policy-targeted      ####################### [12/61]
libsepol.scope_copy_callback: moilscanner: Duplicate declaration in module: 
type/attribute mailscanner_spool_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!

(Note mOilscanner/mAilscanner - is that something to do with it).

I've never touched SELinux on this particular machine - no custom policy, etc. 
It's never been enabled.
Comment 1 Daniel Walsh 2007-11-05 11:59:58 EST
semanage -r moilscanner

Should fix it.

There was a bad update that you  got a badly named policy.

Comment 2 David Anderson 2007-11-10 06:55:01 EST
Doesn't fix it:

# semanage -r moilscanner

semanage {login|user|port|interface|fcontext|translation} -l [-n]
semanage login -{a|d|m} [-sr] login_name
semanage user -{a|d|m} [-LrRP] selinux_name
semanage port -{a|d|m} [-tr] [ -p protocol ] port | port_range
semanage interface -{a|d|m} [-tr] interface_spec
semanage fcontext -{a|d|m} [-frst] file_spec
semanage translation -{a|d|m} [-T] level

Primary Options:
        -a, --add        Add a OBJECT record NAME
        -d, --delete     Delete a OBJECT record NAME
        -m, --modify     Modify a OBJECT record NAME
        -l, --list       List the OBJECTS

        -h, --help       Display this message
        -n, --noheading  Do not print heading when listing OBJECTS

Object-specific Options (see above):
        -f, --ftype      File Type of OBJECT
                "" (all files)
                -- (regular file)
                -d (directory)
                -c (character device)
                -b (block device)
                -s (socket)
                -l (symbolic link)
                -p (named pipe)

        -p, --proto      Port protocol (tcp or udp)
        -P, --prefix     Prefix for home directory labeling
        -L, --level      Default SELinux Level (MLS/MCS Systems only)
        -R, --roles      SELinux Roles (ex: "sysadm_r staff_r")
        -T, --trans      SELinux Level Translation (MLS/MCS Systems only)

        -s, --seuser     SELinux User Name
        -t, --type       SELinux Type for the object
        -r, --range      MLS/MCS Security Range (MLS/MCS Systems only)

-r not defined
Comment 3 Daniel Walsh 2007-11-10 08:17:36 EST
Sorry should be.

# semodule -r moilscanner
Comment 4 Daniel Walsh 2008-01-30 14:05:50 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.